vos addsite                AFS Commands             vos addsite


NAME

   vos  addsite -- add  definition  of  ReadOnly  site to VLDB

                       entry.


   vos addsite  -server <machine name for new site>
   -partition <partition name for new site>
   -id <volume name or ID>  [-cell <cell name>]  [-noauth]
   [-localauth]  [-verbose]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos ad   -s <machine name for new site>  -p <partition name
   for new site>
   -i <volume name or ID>  [-c <cell name>]  [-n]  [-l]  [-v]
   [-h]

DESCRIPTION

   Defines  future  sites  that  will  receive  copies  of  the
   ReadOnly  version  of  a volume, in preparation for actually
   creating  and  distributing  the  ReadOnly   version   using
   vos release.    A  site  is defined as a certain file server
   machine and partition.

   The VLDB status flag for the ReadOnly version of the  volume
   remains invalid, since an actual copy of the ReadOnly volume
   does not yet exist at the site.

   If defining more than  one  replication  site  for  a  given
   ReadWrite source, issue this command repeatedly.

WARNING

   Do  not  define  more  than  six  ReadOnly  sites  with this
   command.  Each VLDB entry can store up to seven site entries
   (the ReadWrite site counts as one).

   No more that 3500 volumes should reside on one partition.  A
   greater  number  can  cause  the  AFS  Salvager  process  to
   malfunction.    It  is  the issuer's responsibility to check
   that releasing a ReadOnly volume to a site defined with this
   command  will  not  cause  the  limit  to  be exceeded.  The
   vos listvol command reports  the  number  of  volumes  on  a
   partition.

ARGUMENTS

   -server         names the file server machine where the copy
                   is to reside.  Abbreviated forms of  machine
                   names may be allowed depending on the naming
                   service available at the time the command is
                   issued;  see  page  xii  in the introductory
                   About This Manual chapter.  -partition
                   names  the particular partition on that file
                   server machine where the copy is to  reside.
                   In  addition  to  the full /vicepx form of a
                   partition  name,  three  shorter  forms  are
                   acceptable; see page xii in the introductory



                   About This Manual chapter.  -id
                   specifies   either   the  complete  name  or
                   volumeID  number  of  the  ReadWrite  source
                   volume.

   -cell           specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to  report  on  what  they are doing as they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.

EXAMPLE

   The following, appropriate in the Transarc Corporation cell,
   defines a ReadOnly site for the cell's root.afs volume.

   % vos ad fs7.transarc.com /vicepb root.afs

PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList on -server.

MORE INFORMATION

   vos listvol

   vos release
